package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PemeriksaanLimbahVO
 * 
 * @author Generator
 */
public class PemeriksaanLimbahVO extends BaseTransactionVO {
	
	@NotNull(message="Tanggal Pemeriksaan tidak boleh kosong")
	@Column(name = "tanggalPemeriksaan", nullable = false )
	@Caption(value="Tanggal Pemeriksaan")
	private Date tanggalPemeriksaan;
	
	@ManyToOne
	@JoinColumn(name = "objectJenisPemeriksaanFk")
	@NotNull(message="Pemeriksaan Limbah Tidak boleh kosong")
	@Caption(value = "objectJenisPemeriksaanFk")
	private JenisPemeriksaanVO jenisPemeriksaan;
	
	@OneToMany
	@NotNull
	@Valid
	private Set<PemeriksaanLimbahDetailVO> pemeriksaanLimbahDetail = new HashSet<PemeriksaanLimbahDetailVO>();

	public Date getTanggalPemeriksaan() {
		return tanggalPemeriksaan;
	}

	public void setTanggalPemeriksaan(Date tanggalPemeriksaan) {
		this.tanggalPemeriksaan = tanggalPemeriksaan;
	}

	public JenisPemeriksaanVO getJenisPemeriksaan() {
		return jenisPemeriksaan;
	}

	public void setJenisPemeriksaan(JenisPemeriksaanVO jenisPemeriksaan) {
		this.jenisPemeriksaan = jenisPemeriksaan;
	}

	public Set<PemeriksaanLimbahDetailVO> getPemeriksaanLimbahDetail() {
		return pemeriksaanLimbahDetail;
	}

	public void setPemeriksaanLimbahDetail(Set<PemeriksaanLimbahDetailVO> pemeriksaanLimbahDetail) {
		this.pemeriksaanLimbahDetail = pemeriksaanLimbahDetail;
	}

	
}

